File: changelog

package info (click to toggle)
jinja2 2.10.1-2
  • links: PTS, VCS
  • area: main
  • in suites: bullseye
  • size: 1,564 kB
  • sloc: python: 13,801; makefile: 105; lisp: 73
file content (360 lines) | stat: -rw-r--r-- 11,758 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
204
205
206
207
208
209
210
211
212
213
214
215
216
217
218
219
220
221
222
223
224
225
226
227
228
229
230
231
232
233
234
235
236
237
238
239
240
241
242
243
244
245
246
247
248
249
250
251
252
253
254
255
256
257
258
259
260
261
262
263
264
265
266
267
268
269
270
271
272
273
274
275
276
277
278
279
280
281
282
283
284
285
286
287
288
289
290
291
292
293
294
295
296
297
298
299
300
301
302
303
304
305
306
307
308
309
310
311
312
313
314
315
316
317
318
319
320
321
322
323
324
325
326
327
328
329
330
331
332
333
334
335
336
337
338
339
340
341
342
343
344
345
346
347
348
349
350
351
352
353
354
355
356
357
358
359
360
jinja2 (2.10.1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.1.

  [ Thomas Goirand ]
  * Team upload.
  * Add py3.9-fix-collections-import.patch (Closes: #949018).

 -- Thomas Goirand <zigo@debian.org>  Thu, 27 Feb 2020 11:49:32 +0100

jinja2 (2.10.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/changelog: Remove trailing whitespaces
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout

  [ Piotr Ożarowski ]
  * New upstream release
  * Standards-version bumped to 4.4.0 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 10 Jul 2019 22:34:15 +0200

jinja2 (2.10-2) unstable; urgency=high

  [ Thomas Goirand ]
  * CVE-2019-10906: In Pallets Jinja before 2.10.1, str.format_map allows a
    sandbox escape. Applied upstream patch: sandbox_str.format_map.patch
    (Closes: #926602).

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 09 Apr 2019 21:58:20 +0200

jinja2 (2.10-1) unstable; urgency=medium

  * New upstream release
  * Add python3-sphinx to Build-Depends and invoke dh_sphinxdoc after building
    documentation
  * Standards-version bumped to 4.1.1
    - -doc package's Priority changed to optional

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 30 Nov 2017 10:54:37 +0100

jinja2 (2.9.6-1) unstable; urgency=medium

  [ Piotr Ożarowski ]
  * New upstream release
  * Install CHANGES file as upstream changelog (closes: 857722)
  * Standards-version bumped to 4.0.0 (no other changes needed)

  [ Michael Hudson-Doyle ]
  * Install asyncsupport.py and asyncfilters.py now that Python 3.6 is a
    supported version (but do not compile them on install with Python 3.5).
    (closes: 862699)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Jun 2017 15:21:18 +0200

jinja2 (2.9.5-1) unstable; urgency=medium

  * New upstream release
    - restores original repr of the internal _GroupTuple which fixes ansible
    (closes: 851741)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 07 Feb 2017 22:27:54 +0100

jinja2 (2.9.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ Piotr Ożarowski ]
  * New upstream release
    - do not install async* files, they require Python >= 3.6
  * Standards-version bumped to 3.9.8 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jan 2017 20:28:57 +0100

jinja2 (2.8-1) unstable; urgency=medium

  * New upstream release
    - drop jinja2-typos and drop_next_import_from_docs-jinjaext patches - both
      applied upstream
  * rewrite debian/rules to dh sequencer and pybuild buildsystem
  * Standards-version bumped to 3.9.6 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 01 Aug 2015 14:15:36 +0200

jinja2 (2.7.3-1) unstable; urgency=medium

  * New upstream release
  * Drop fix_CVE-2014-0012.patch (better fix applied upstream)
  * Homepage updated

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Jun 2014 20:44:26 +0200

jinja2 (2.7.2-2) unstable; urgency=high

  * Add fix_CVE-2014-1402 patch which uses tempfile.mkdtemp to create
    cache dir (closes: 734956)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 12 Jan 2014 15:09:04 +0100

jinja2 (2.7.2-1) unstable; urgency=high

  * New upstream release
    - changes default folder for the filesystem cache (closes: 734747,
      CVE-2014-1402)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 10 Jan 2014 20:56:20 +0100

jinja2 (2.7.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 08 Aug 2013 22:25:01 +0200

jinja2 (2.7-3) unstable; urgency=low

  [ Jakub Wilk ]
  * Restore Python 3.2 compatibility (closes: #709638)
  * Fix bunch of typos in the documentation (closes: #679534)

 -- Piotr Ożarowski <piotr@debian.org>  Sat, 25 May 2013 23:07:10 +0200

jinja2 (2.7-2) unstable; urgency=low

  * Relax build dependency on python3-all and hardcode python3-jinja2's
    Depends and postinst maintainer script (temporary fix, closes: #709390)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 23 May 2013 18:42:20 +0200

jinja2 (2.7-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Use canonical URIs for Vcs-* fields.

  [ Piotr Ożarowski ]
  * New upstream release
    - minimum required Python version bumped to 2.6 and 3.3
  * debugsupport extension no longer available, Architecture changed to "all"
  * Bump minimum required python3-all version in Build-Depends (to generate
    versioned py3compile -V in maintainer script)
  * Add patches/drop_next_import_from_docs-jinjaext.patch to fix building docs
  * Use dh_sphinxdoc to handle JavaScript libraries used in -doc package
  * Standards-Version bumped to 3.9.4
    - add build-arch and build-indep targets
  * debian/compat changed to 9

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 20 May 2013 21:15:37 +0200

jinja2 (2.6-1) unstable; urgency=low

  * New upstream release
  * add_version_placeholder patch removed (no longer needed)
  * htmljinja.vim is no longer available, use jinja.vim instead
  * python3-jinja2 suggests python-jinja2-doc instead of python3-jinja2-doc
  * Standards-version bumped to 3.9.2 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 25 Jul 2011 10:31:24 +0200

jinja2 (2.5.5-5) unstable; urgency=low

  * Drop hardcoded python3.1 from Depends (closes: #621816)
  * Do not compress objects.inv file (closes: #608757)

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 15 Apr 2011 22:05:53 +0200

jinja2 (2.5.5-4) unstable; urgency=low

  * Upload to unstable (closes: 621001)
  * Lower versions of build dependencies (to the ones from 2.5.5-1)
  * Convert from dh_pysupport to dh_python2
  * Change source format to 3.0 (quilt), drop quilt build dependency

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 05 Apr 2011 23:21:21 +0200

jinja2 (2.5.5-3) experimental; urgency=low

  * Bump minimum required python-support version to the one in experimental
    to get Python 2.7 support (closes: 608149)

 -- Piotr Ożarowski <piotr@debian.org>  Mon, 27 Dec 2010 23:15:04 +0100

jinja2 (2.5.5-2) experimental; urgency=low

  * Rebuild for Python 2.7 and 3.2 extension (minimum required python-all's
    version temporary bumped to 2.6.6-4, python-setuptools' to 0.6.14-5
    and python3-all's to 3.1.2-14 to make sure the right version from
    experimental will be used). Closes: 607450.
  * Update debian/rules to handle Python >= 3.2

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 21 Dec 2010 20:58:19 +0100

jinja2 (2.5.5-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 19 Oct 2010 08:34:49 +0200

jinja2 (2.5.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 17 Oct 2010 20:48:21 +0200

jinja2 (2.5.2-3) unstable; urgency=low

  * Rebuild against newer python3-all-dev package (python3.1 now uses
    /usr/lib/python3/), minimum python3-all version bumped to 3.1.2-10
  * Use python3's python.mk
  * Drop python3-jinja2.{postinst,prerm} maintainer scripts, dh_python3 will
    generate them

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 26 Sep 2010 21:19:54 +0200

jinja2 (2.5.2-2) unstable; urgency=low

  * Really remove _markupsafe

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 19 Aug 2010 09:24:47 +0200

jinja2 (2.5.2-1) unstable; urgency=low

  * New upstream release
    - speedups module moved to separate package: MarkupSafe
  * python-markupsafe added to Depends (jinja2._markupsafe removed from the
    package)
  * debian/control: python3-jinja2 binary package updated to latest changes in
    dh_python3
  * Standards-version bumped to 3.9.1 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 18 Aug 2010 11:29:44 +0200

jinja2 (2.5-1) unstable; urgency=low

  * New upstream release
  * python3_builtins.patch removed, no longer needed
  * add python3.1 to python3-jinja2's Depends

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 May 2010 11:01:51 +0200

jinja2 (2.4.1-1) unstable; urgency=low

  * New upstream release
  * Add python3_builtins.patch taken from upstream repo (Different name for
    builtins in Python 3)

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 20 Apr 2010 19:51:16 +0200

jinja2 (2.4-3) unstable; urgency=low

  * Add missing maintainer scripts in python3-jinja2 package

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 18 Apr 2010 17:15:49 +0200

jinja2 (2.4-2) unstable; urgency=low

  * Add Python 3 support, new binary packages:
    python3-jinja2 and python3-jinja2-dbg

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 20:44:43 +0200

jinja2 (2.4-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 13 Apr 2010 19:52:05 +0200

jinja2 (2.3.1-1) unstable; urgency=low

  * New upstream release
  * Move python-pybabel from Recommends to Enhances

 -- Piotr Ożarowski <piotr@debian.org>  Fri, 19 Feb 2010 18:31:52 +0100

jinja2 (2.3-1) unstable; urgency=low

  * New upstream release
  * Hardcode __version__ at build time, no need to use pkg_resources
    (Closes: #548062)
  * Standards-version bumped to 3.8.4 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 10 Feb 2010 22:06:28 +0100

jinja2 (2.2.1-1) unstable; urgency=low

  * New upstream release

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 15 Sep 2009 19:38:47 +0200

jinja2 (2.2-1) unstable; urgency=low

  [ Jakub Wilk ]
  * Build depend on Sphinx >= 0.6 (due to changes_for_sphinx_0.6 patch)

  [ Piotr Ożarowski ]
  * New upstream release (Closes: #536227)
  * No longer needed patches:
    - changes_for_sphinx_0.6.patch
    - dont_install_docs_via_setup_py.patch
  * pass --with-speedups to setup.py (building extension is now disabled by
    default in upstream code)
  * debian/copyright file updated
  * Standards-version bumped to 3.8.3 (no other changes needed)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 13 Sep 2009 16:44:18 +0200

jinja2 (2.1.1-3) unstable; urgency=low

  * Documentation builds fine with new Sphinx now, thanks to
    Jakub Wilk for the patch (Closes: #527486)
  * Standards-version bumped to 3.8.2:
    - python-jinja2-dbg's section changed to debug
  * Support /usr/local/*/dist-packages in debian/rules (python2.6 will need it)

 -- Piotr Ożarowski <piotr@debian.org>  Wed, 08 Jul 2009 21:40:46 +0200

jinja2 (2.1.1-2) unstable; urgency=low

  * Install Vim syntax files in /usr/share/vim/addons/syntax/
    Use `vim-addons install jinja` to enable it (Closes: 514046)
  * Upload to unstable

 -- Piotr Ożarowski <piotr@debian.org>  Tue, 10 Feb 2009 19:59:56 +0100

jinja2 (2.1.1-1) experimental; urgency=low

  * New upstream release
  * Build depend on Sphinx >= 0.5.1
    + remove_non_ascii_char patch removed

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 25 Dec 2008 19:10:36 +0100

jinja2 (2.1-1) experimental; urgency=low

  [ Sandro Tosi ]
  * Switch Vcs-Browser field to viewsvn

  [ Piotr Ożarowski ]
  * New upstream release
  * Bump required python-sphinx version to >= 0.5 (needed to build docs)
    + upload to experimental (Sphinx 0.5 is in experimental for now)
  * Add remove_non_ascii_char patch (to workaround docutils/Sphinx bug)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 30 Nov 2008 20:14:33 +0100

jinja2 (2.0-2) unstable; urgency=low

  * Recommend python-pybabel instead of python-babel (Closes: #501725)

 -- Piotr Ożarowski <piotr@debian.org>  Thu, 09 Oct 2008 22:43:11 +0200

jinja2 (2.0-1) unstable; urgency=low

  * Initial release (this package is an successor of jinja package)

 -- Piotr Ożarowski <piotr@debian.org>  Sun, 20 Jul 2008 23:01:02 +0200